# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# On a Sun system, if this file "default.mk" exists, it overrides make's  set #
# of  "builtins"  (which are actually in /usr/include/make/default.mk).  This #
# not only speeds things up considerably, but it  also  helps  preserve  your #
# sanity  by  preventing all the curious things in the default file that bite #
# you when you turn your back.                                                #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
SHELL=/bin/sh

# We set up a default place to find source and put executables:

BINDIR=$(HOME)/bin
SRCDIR=$(HOME)/src

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
# Here's a small set of  rules  for  make.   The  main  one  is  jc's  b-to-c #
# translator,  used to get rid of the debug stuff when we eventually have the #
# code all working perfectly.  It's also useful to be able to get a  .i  file #
# when the C preprocessor is giving us grief.                                 #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
BC=b-c 0a-t 1-9u-z 1
#BC=b-c 0-8 9 1
#BC=b-c 0-7 8-9 1
#CC=nice cc -O $(CFLAGS)
#CF=nice cc -O $(CFLAGS)
CC=cc $(CFLAGS)
.SUFFIXES:
#SUFFIXES: .b .c .i .s .o
.SUFFIXES: .o .s .i .c .b
.b.c:;$(BC) <$*.b >$@
.c.i:;$(CC) -E $(CFLAGS) $*.c |sed -e '/^[ 	]*$$/d' >$@
.c.o:;$(CC) -c -O $(CFLAGS) $*.c
