
#include "V.h"
/*
* This routine does the actual output of a hex dump.  The caller  must
* have  filled  in  the  data  in  whichever  of the 3 lines are to be
* printed, up to byte INDENT+col.  We add a newline to each and  write
* one  to  three  lines to file f.  Note the paranoia about stdio:  If
* stdiofl is off, we just return silently.
*/
hexout(f,col,n)
	int  f;		/* File to write to */
	int  col;	/* Columns of output in lines */
	Flag n;		/* True if showing hex lines */
{	int asc=n;	/* Kludge for 1-line case */
	if (!stdiofl && f<3)	/* Check for permission to use stdio */
		return;				/* If not, suppress the output */
	if (hex_as) {			/* Everyone uses hex_as */
		Switch(hex_fmt) {
		case '1': case  1 :
			while (col < 40) hex_as[INDENT+col++] = ' ';
			while (asc < 16) hex_as[INDENT+41+asc++] = ' ';
			hex_as[INDENT+58] = '\n';

			break;
		default:
			hex_as[INDENT+col] = '\n';
		}
	}
	if (n>0 && hex_hi) {	/* The 2-line (horizontal) case uses hex_hi */
		hex_hi[INDENT+col] = '\n';
	}
	if (n>0 && hex_lo) {	/* Only the 3-line (vertical) case uses hex_lo */
		hex_lo[INDENT+col] = '\n';
	}
	Switch(hex_fmt) {
	case '1': case  1 :
		if (hex_as) write(f,hex_as,INDENT+59);
		break;
	case '2': case  2 :
	case 'h': case 'H':
		if (hex_as) write(f,hex_as,1+INDENT+col);
		if (hex_hi) write(f,hex_hi,1+INDENT+col);
		break;
	case '3': case  3 :
	case 'v': case 'V': default:
		if (hex_as) write(f,hex_as,1+INDENT+col);
		if (hex_hi) write(f,hex_hi,1+INDENT+col);
		if (hex_lo) write(f,hex_lo,1+INDENT+col);
		break;
	}
}
/*ARGSUSED*/
hexd_as(lbl)
	char*lbl;
{	int sav_fmt;
	char buf[80];

	sav_fmt = hex_fmt;
	hex_fmt = 'v';
	Bcopy(hex_as,buf,80);

	Bcopy(buf,hex_as,80);
	hex_fmt = sav_fmt;
}
