#ifndef sys_in_h
/*
* This header file must find the definition of the sockaddr_in struct,
* and anything related to that struct that our code needs.
*/
#ifndef   sys_socket_h
#include "sys_socket.h"
#endif

#if !defined(sys_in_h) && defined(TNV3)
static char id_sys_in_h[] = "TNV3";
#include "/usr/include/bsd/netinet/in.h"
#define sys_in_h
#endif

#if !defined(sys_in_h) && defined(Linux)
static char id_sys_in_h[] = "LINUX";
/*#include <linux/in.h>*/
#define sys_in_h
#endif

#if !defined(sys_in_h)
static char id_sys_in_h[] = "default";
#include <netinet/in.h>
#define sys_in_h
#endif

#ifndef IP32
#define IP32 unsigned long
#endif
#ifndef SKin
#define SKin struct sockaddr_in
#endif
#ifndef SKaddr
#define SKaddr sin_addr.s_addr
#endif

#endif
