
#include "V_M_UC.h"
#include "str.h"
#include "mem.h"

/*
* Get rid of a Str's value, giving a null string. We can only free it,
* of  course,  if the m field is nonzero.  We zero out all the fields,
* giving a null string descriptor.  The string descriptor is returned,
* though most callers don't care.
*/
Str * str_zapsm(dst,msg)
	Str *dst;
	char*msg;
{
	Fenter("str_zapsm");
	if (!dst) Fail;
	if (!msg) msg = unknown;
	V7M "Zap %s string at %08X, v=%08X",msg,dst,dst->v D;
	if (dst->m && dst->v) {	/* Some paranoia here */
		V6M "Free %s v at %08X",msg,dst->v D;
		RelChunk(dst->v,msg);
	}
	dst->l = dst->m = 0;
	dst->p = dst->v = 0;
fail:
	Fexit;
	return dst;
}
