#ifndef sys_varargs_h

// Does SunOS still exist anywhere?
#if defined(SunOS)
#if USE_varargs
#	include <unistd.h>
#	include <varargs.h>
#	define _VA_LIST_ va_list
#else
#	define USE_varargs 0	/* varargs doesn't seem to work on SunOS */
#	define sys_varargs_h
#endif
#endif

#if HAS_stdarg && USE_stdarg
/*
* The GNU gcc compiler has renamed vararg.h as stdarg.h, for some
* silly reason. It still seems to work the same; they just changed
* the name for incompatibility's sake.
*/
static char *id_stdarg="stdarg.h";
#include <stdarg.h>
#define sys_varargs_h 
#endif

#if HAS_varargs && USE_varargs

#ifndef sys_varargs_h
#include   <varargs.h>
#define sys_varargs_h
#endif

#ifndef _VA_LIST_
#define _VA_LIST_ va_list
#endif

#endif

#endif
