#ifndef local_h
#define local_h
/*
* All the per-architecture stuff has been moved to this one header file. This
* is  a header file for the Tandem NonStop-UX, a variant of Sys/V.  Define or
* undef the following as appropriate:
*/
#undef	BSD		/* Any BSD */
#undef	BSV43		/* 4.3 BSD */
#undef	ULTRIX		/* [jc 89/12/19] */
#undef	ULTRIX2_2	/* Ultrix 2.2 or 2.0 */
#undef	ULTRIX3_0	/* Ultrix 3.0 */
#undef	SUN3_3PLUS	/* Sun OS 3.3 or greater, but < 4.0 */
#undef	SUN40		/* Sun OS 4.0 */
#undef	SUN386		/* Sun 386i */
#undef	SUN40_386	/* Sun 386i with 4.0 */
#define	SYS5		/* Any Sys/V [jc 89/12/12] */
#undef	SYS5_2		/* Sys/V Release 2 [jc 90/06/08] */
#define	SYS5_3		/* Sys/V Release 3 [jc 90/06/08] */
#undef	SYS5_4		/* Sys/V Release 4 [jc 90/06/08] */
#undef  AIX			/* Interactive Systems Unix */
#define TNV3		/* Tandem NonStop-UX Sys/V.3 */
#undef	ESIX		/* Sys/V Release 3 or 4 from Everex */
#undef	ESIX3		/* Sys/V Release 3 from Everex */
#undef	ESIX4		/* Sys/V Release 4 from Everex */
#undef	HP			/* Hewlett/Packard */
#undef	HP9000		/* Hewlett/Packard 9000 */
#undef	HP9000s300	/* Hewlett/Packard 9000s300 */
#undef	SG		/* Silicon Graphics [jc 89/12/12] */
#undef	SG_IRIS3030	/* Silicon Graphics Iris 3030 [jc 89/12/12] */
static char ID_local[]="SYS5 SYS5_3 TNV3";
/*
* Define exactly one of the following, to tell  uutty  which  of  the  various
* terminal interface packages ("line disciplines") to use. See the makeraw and
* makesane modules for the main uses of these.
*/
#undef  USE_sgtty 
#define USE_termio 
#undef  USE_termios
/*
* Define one of the following, to tell uutty how to determine this machine's
* symbolic name.
*/
#undef  USE_gethostname 
#define USE_utsname 
/*
* Define exactly one to say which directory package to use:
*/
#undef  USE_direct
#define USE_dirent
/*
/*
* Does this system use /etc/shadow and the getspent(3C) routines?
*/
#undef USE_shadow
/*
* Here are some symbols to tell the compiler what library routines exist here.
* On systems where they are missing, we need to do them ourself, or at least
* implement some minimal part of the functionality.  If you have the "locsym"
* perl program, you can answer these very quickly.
*/
#undef  HAS_getutent
#undef  HAS_pututent
#undef  HAS_setutent
#undef  HAS_getutline
#undef  HAS_pututline
#undef  HAS_setutline
#define HAS_ttyslot
#undef  HAS_wait3
#undef  USE_stdlib
/*
* Exactly one of these should be defined, to determine  which  way  we
* should check for input:
*/
#undef	USE_alarm
#undef	USE_poll
#define	USE_select
/*
* Some symbols to say which types of networking stuff are enabled.
*/
#define    NET 1	/* Generic networking stuff */
#define BSDNET 1	/* BSD-style networking stuff */
#define NFSNET 0	/* NFS-related networking stuff */
#define RFSNET 0	/* RFS-related networking stuff */
#define X25NET 1	/* X.25 networking stuff */
/*
*/
#ifndef   FILE
#include <stdio.h>
#endif
#ifndef   OPEN_MAX
#include <limits.h>
#endif
#ifndef   V_h
#include "V.h"
#endif
/*
*/
#define	LITTLENDIAN	/* Byte order 1234, low-order byte first */
#undef	BIGENDIAN	/* Byte order 4321, high-order first */
#undef	MIXEDENDIAN	/* Byte order 2143, on some 16-bit cpus */

#undef SYSLOG		/* BSD systems have the syslog package; others may, too */

#define	NULC (char*)0	/* Generic null pointer (signed) */
#define	NULB (byte*)0	/* Generic null pointer (unsigned) */
/*
*/
#ifndef MEMUNIT
#define MEMUNIT(n) ((((n)+7)>>3)<<3)
#endif
#define getime() Vtime()
/*
* We need to know where UUCP keeps its lockfiles, and put ours there, too.
*/
#define BNU    1	/* ATT's acronym for HDB UUCP */
#define LCKNEW 0	/* Use "LK." rather than "LCK.." lockfiles */
#define LCKDIR "/usr/spool/locks"
#define LCKPFX "LCK.."
/*
*/
#ifdef SYS5
#define bcopy(x,y,n) strncpy(y,x,n)
#endif

#define O_NONBLOCK O_NDELAY

#endif
