#ifndef local_h
#define local_h
/* FREEBSD local.h definitions:
*/

#define SYSTYPE FREEBSD
#define FREEBSD 1

/* Terminal-I/O packages:
*/
#define HAS_sgtty 0
#define USE_sgtty 0
#define HAS_termio 0
#define USE_termio 0
#define HAS_termios 1
#define USE_termios 1
#define DTR_time 3	/* How long to keep DTR low - see DTRdu() */

/* How to determine this machine's symbolic name:
*/
#define HAS_gethostname 1
#define USE_gethostname 1
#define HAS_utsname 0
#define USE_utsname 0

/* How to determine which directory package to use:
*/
#define HAS_direct 0
#define USE_direct 0
#define HAS_dirent 1
#define USE_dirent 1

/* Does this system have the socket library?
*/
#define HAS_socket 1
#define USE_socket 1

/* The strtok funtion:
*/
#define HAS_strtok 1
#define USE_strtok 1

/* Whether to prefer poll() or select():
*/
#define HAS_poll 1
#define USE_poll 0
#define HAS_select 1
#define USE_select 1

/*
*/

#endif
