
#include "V_s_lc.h"
#include "sys_socket.h"
/*
* Bind the socket to a specific addr+port.  This is  a  shortcut  routine  to
* simplify  the cruft that surrounds a bind() in most programs.  We take care
* of things like byte order.  Return values:  1=success; 0=failure.
*/
d_bindap(sock,ap,addr,port)
	int  sock;
	SKin*ap;
	U32  addr;
	int  port;
{	int  r=0;
	Fenter("d_bindap");
	V5s "sock=%d addr=%08lX=%s port=%04X=%d.",sock,addr,ipdot(&addr),port,port D;
	ap->sin_family      = AF_INET;
	ap->sin_addr.s_addr = htonl(addr);
	ap->sin_port        = htons(port);
	H6s(ap,sizeof(SKin),"addr");
	if (Vlvl > 3) dmpSKin(ap);
	if (Bind(sock,ap,sizeof(SKin)) < 0) {
		V2s "Can't bind to %08lX.%04X %s.%d [Err %d=%s=%s]",
			ntohl( ap->SKaddr),
			ntohs( ap->sin_port),
			ipdot(&ap->SKaddr),
			ntohs( ap->sin_port),
			Errinfo D;
		r = 0;
	} else {
		V6s "Successful bind to %08lX.%04X %s.%d file %d",
			ntohl( ap->SKaddr),
			ntohs( ap->sin_port),
			ipdot(&ap->SKaddr),
			ntohs( ap->sin_port)
			,sock D;
		r = 1;
	}
	Fexit;
	return r;
}
